## pathfinder 0.2.4

=== CMakeLists.txt ===
INCLUDE(UsePkgConfig)

PROJECT(PATHFINDER)
SET(PACKAGE_VERSION 0.2.4)

PKGCONFIG(libuniconf UNICONF_INCLUDEDIR UNICONF_LIBDIR UNICONF_LINKFLAGS UNICONF_CFLAGS)
PKGCONFIG(dbus-1 DBUS_INCLUDEDIR DBUS_LIBDIR DBUS_LINKFLAGS DBUS_CFLAGS)
PKGCONFIG(openssl OPENSSL_INCLUDEDIR OPENSSL_LIBDIR OPENSSL_LINKFLAGS OPENSSL_CFLAGS)
PKGCONFIG(nss NSS_INCLUDEDIR NSS_LIBDIR NSS_LINKFLAGS NSS_CFLAGS)

# wvdiriter in wvstreams will assert if we don't have these set... since this is how wvstreams 
# is normally compiled. can't we do something simpler?
SET(EXTRA_CFLAGS "${UNICONF_CFLAGS} ${DBUS_CFLAGS} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DDBUS_API_SUBJECT_TO_CHANGE -g")
SET(EXTRA_LINKFLAGS "${UNICONF_LINKFLAGS} ${DBUS_LINKFLAGS}")

INCLUDE_DIRECTORIES(${PATHFINDER_SOURCE_DIR} ${PATHFINDER_SOURCE_DIR}/dbus
                    ${PATHFINDER_SOURCE_DIR}/x509path 
		    ${PATHFINDER_SOURCE_DIR}/libpathfinder)

ADD_LIBRARY(pathology STATIC pathfinder.cc pathvalidator.cc downloader.cc)
SET_TARGET_PROPERTIES(pathology
		      PROPERTIES COMPILE_FLAGS "${EXTRA_CFLAGS}")

ADD_EXECUTABLE(pathverify pathverify.cc)
TARGET_LINK_LIBRARIES(pathverify pathology x509path)
SET_TARGET_PROPERTIES(pathverify 
		      PROPERTIES COMPILE_FLAGS "${EXTRA_CFLAGS}" LINK_FLAGS "${EXTRA_LINKFLAGS}")

ADD_EXECUTABLE(pathfinderd pathfinderd.cc)
TARGET_LINK_LIBRARIES(pathfinderd pathology x509path wvdbus)
SET_TARGET_PROPERTIES(pathfinderd
		      PROPERTIES COMPILE_FLAGS ${EXTRA_CFLAGS} LINK_FLAGS ${EXTRA_LINKFLAGS})

ADD_EXECUTABLE(pathclient pathclient.cc)
TARGET_LINK_LIBRARIES(pathclient wvdbus)
SET_TARGET_PROPERTIES(pathclient
		      PROPERTIES COMPILE_FLAGS ${EXTRA_CFLAGS} LINK_FLAGS ${EXTRA_LINKFLAGS})

INSTALL(TARGETS pathverify pathclient
	RUNTIME DESTINATION bin)

INSTALL(TARGETS pathfinderd
	RUNTIME DESTINATION sbin)

INSTALL(FILES README AUTHORS LICENSE pathfinderd.ini.sample DESTINATION share/doc/pathfinder)

ADD_EXECUTABLE(openssltest openssltest.cc)
TARGET_LINK_LIBRARIES(openssltest pathfinder-openssl-1)
SET_TARGET_PROPERTIES(openssltest 
		      PROPERTIES COMPILE_FLAGS "${DBUS_CFLAGS}" LINK_FLAGS "${OPENSSL_LINKFLAGS} ${DBUS_LINKFLAGS}")

ADD_EXECUTABLE(nsstest nsstest.cc)
TARGET_LINK_LIBRARIES(nsstest pathfinder-nss-1)
SET_TARGET_PROPERTIES(nsstest
		      PROPERTIES COMPILE_FLAGS "${DBUS_CFLAGS} ${NSS_CFLAGS}" LINK_FLAGS "${DBUS_LINKFLAGS} ${NSS_LINKFLAGS}")

SUBDIRS(dbus t x509path libpathfinder)

IF(NOT DEFINED CMAKE_INSTALL_LIBDIR)
   SET(CMAKE_INSTALL_LIBDIR "/usr/lib")
ENDIF(NOT DEFINED CMAKE_INSTALL_LIBDIR)

CONFIGURE_FILE(version.h.in version.h)
CONFIGURE_FILE(pathfinder-nss-uninstalled.pc.in pathfinder-nss-uninstalled.pc
	       @ONLY)
CONFIGURE_FILE(pathfinder-openssl-uninstalled.pc.in 
	       pathfinder-openssl-uninstalled.pc
	       @ONLY)
CONFIGURE_FILE(pathfinder-nss.pc.in pathfinder-nss.pc
	       @ONLY)
CONFIGURE_FILE(pathfinder-openssl.pc.in pathfinder-openssl.pc
	       @ONLY)

INSTALL(FILES pathfinder-nss.pc pathfinder-openssl.pc
	      DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

INSTALL (FILES pathclient.3 pathverify.3
	      DESTINATION share/man/man3)

INSTALL (FILES pathfinderd.8
	      DESTINATION share/man/man8)

INSTALL (FILES pathfinderd-dbus.conf
	      DESTINATION /etc/dbus-1/system.d
	      RENAME pathfinderd.conf)

ENABLE_TESTING()
ADD_TEST(all valgrind --tool=memcheck t/all.t)

SET(CPACK_PACKAGE_NAME "pathfinder")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "pathfinder")
SET(CPACK_PACKAGE_VERSION_MAJOR "0")
SET(CPACK_PACKAGE_VERSION_MINOR "2")
SET(CPACK_PACKAGE_VERSION_PATCH "4")
SET(CPACK_SOURCE_IGNORE_FILES "/.git/;.gitignore;.*~;/.svn/;CMakeFiles/;CMakeCache.txt;/Testing/;DartTestfile.txt;.pc$;.cmake;/_CPack_Packages/;version.h$;.tar.gz;.tar.Z;.*#.*";/pathviewer-0.1.0-Source/;Makefile)
INCLUDE(CPack)

=== dbus/CMakeLists.txt ===
ADD_LIBRARY(wvdbus STATIC wvdbusconn.cc wvdbuslistener.cc wvdbusservconn.cc wvdbuswatch.cc
            wvdbusconnp.cc wvdbusmsg.cc wvdbusserver.cc)
SET_TARGET_PROPERTIES(wvdbus
		      PROPERTIES COMPILE_FLAGS ${EXTRA_CFLAGS})

=== libpathfinder/CMakeLists.txt ===
ADD_LIBRARY(pathfinder-nss-1 SHARED libpathfinder.cc libpathfinder-nss.cc)
ADD_LIBRARY(pathfinder-nss-1-static STATIC libpathfinder.cc libpathfinder-openssl.cc)

ADD_LIBRARY(pathfinder-openssl-1 SHARED libpathfinder.cc libpathfinder-openssl.cc)
ADD_LIBRARY(pathfinder-openssl-1-static STATIC libpathfinder.cc libpathfinder-openssl.cc)

SET(LIBPATHFINDER_NSS_CFLAGS "${DBUS_CFLAGS} ${NSS_CFLAGS}")
SET(LIBPATHFINDER_OPENSSL_CFLAGS "${DBUS_CFLAGS} ${OPENSSL_CFLAGS}")

SET_TARGET_PROPERTIES(pathfinder-nss-1 PROPERTIES COMPILE_FLAGS "${LIBPATHFINDER_NSS_CFLAGS}")
SET_TARGET_PROPERTIES(pathfinder-nss-1 PROPERTIES VERSION 1.0.0 SOVERSION 1 )
SET_TARGET_PROPERTIES(pathfinder-nss-1 PROPERTIES CLEAN_DIRECT_OUTPUT 1)

SET_TARGET_PROPERTIES(pathfinder-nss-1-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
SET_TARGET_PROPERTIES(pathfinder-nss-1-static PROPERTIES OUTPUT_NAME "pathfinder-nss-1")
SET_TARGET_PROPERTIES(pathfinder-nss-1-static PROPERTIES COMPILE_FLAGS "${DBUS_CFLAGS} ${NSS_CFLAGS} -fPIC")

SET_TARGET_PROPERTIES(pathfinder-openssl-1 PROPERTIES COMPILE_FLAGS "${LIBPATHFINDER_OPENSSL_CFLAGS}")
SET_TARGET_PROPERTIES(pathfinder-openssl-1 PROPERTIES VERSION 1.0.0 SOVERSION 1 )
SET_TARGET_PROPERTIES(pathfinder-openssl-1 PROPERTIES CLEAN_DIRECT_OUTPUT 1)

SET_TARGET_PROPERTIES(pathfinder-openssl-1-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
SET_TARGET_PROPERTIES(pathfinder-openssl-1-static PROPERTIES OUTPUT_NAME "pathfinder-openssl-1")
SET_TARGET_PROPERTIES(pathfinder-openssl-1-static PROPERTIES COMPILE_FLAGS "${DBUS_CFLAGS} ${OPENSSL_CFLAGS} -fPIC")

IF(NOT DEFINED CMAKE_INSTALL_LIBDIR)
   SET(CMAKE_INSTALL_LIBDIR "lib")
ENDIF(NOT DEFINED CMAKE_INSTALL_LIBDIR)

INSTALL(TARGETS pathfinder-nss-1 pathfinder-openssl-1 pathfinder-nss-1-static 
	pathfinder-openssl-1-static LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}" 
				    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}")

INSTALL(FILES libpathfinder-nss.h libpathfinder-openssl.h libpathfinder.h
	      DESTINATION include/pathfinder-1)

=== t/CMakeLists.txt ===
PKGCONFIG(libwvtest WVTEST_INCLUDEDIR WVTEST_LIBDIR WVTEST_LINKFLAGS WVTEST_CFLAGS)

ADD_EXECUTABLE(all.t sigverif.t.cc certrevoke.t.cc testmethods.t.cc 
	       namechaining.t.cc validityperiods.t.cc certpolicies.t.cc
	       requireexplicitpolicy.t.cc policymapping.t.cc inhibitpolicymapping.t.cc 
	       basicconstraints.t.cc crldistpoint.t.cc)
TARGET_LINK_LIBRARIES(all.t pathology x509path)

SET_TARGET_PROPERTIES(all.t 
		      PROPERTIES COMPILE_FLAGS "${UNICONF_CFLAGS} ${WVTEST_CFLAGS} ${EXTRA_CFLAGS}"
		      		 LINK_FLAGS "${UNICONF_LINKFLAGS} ${WVTEST_LINKFLAGS}")

=== x509path/CMakeLists.txt ===
ADD_LIBRARY(x509path STATIC wvx509path.cc wvx509store.cc wvx509policytree.cc)
SET_TARGET_PROPERTIES(x509path
		      PROPERTIES COMPILE_FLAGS ${EXTRA_CFLAGS})

## pathfinder 1.1.3

=== CMakeLists.txt ===
INCLUDE(UsePkgConfig)
find_package(PkgConfig)
cmake_minimum_required(VERSION 2.5)

PROJECT(PATHFINDER)
SET(PACKAGE_VERSION 1.1.3)

pkg_check_modules(UNICONF libuniconf)

#PKGCONFIG(libuniconf UNICONF_INCLUDEDIR UNICONF_LIBDIR UNICONF_LINKFLAGS UNICONF_CFLAGS)
PKGCONFIG(libwvdbus WVDBUS_INCLUDEDIR WVDBUS_LIBDIR WVDBUS_LINKFLAGS WVDBUS_CFLAGS)
PKGCONFIG(dbus-1 DBUS_INCLUDEDIR DBUS_LIBDIR DBUS_LINKFLAGS DBUS_CFLAGS)
PKGCONFIG(openssl OPENSSL_INCLUDEDIR OPENSSL_LIBDIR OPENSSL_LINKFLAGS OPENSSL_CFLAGS)
PKGCONFIG(nss NSS_INCLUDEDIR NSS_LIBDIR NSS_LINKFLAGS NSS_CFLAGS)

IF (NOT DBUS_CFLAGS)
	MESSAGE(FATAL_ERROR, "You need to have DBUS Development packages installed to build Pathfinder.")
ENDIF(NOT DBUS_CFLAGS)

IF (NOT WVDBUS_CFLAGS)
	MESSAGE(FATAL_ERROR, "You must have the WvStreams DBus Development packages installed to build Pathfinder.")
ENDIF (NOT WVDBUS_CFLAGS)

FIND_PATH(LDAP_INCLUDEDIR ldap.h)

if(APPLE)
   FIND_LIBRARY(LDAP_LIBS NAMES LDAP
        PATHS
        /System/Library/Frameworks
        /Library/Frameworks
   )
else(APPLE)
   FIND_LIBRARY(LDAP_LIBS NAMES ldap)
   FIND_LIBRARY(LBER_LIBS NAMES lber)
endif(APPLE)

if(LDAP_INCLUDEDIR AND LDAP_LIBS)
   if(LBER_LIBS)
     set(LDAP_FOUND TRUE)
     set(LDAP_LIBRARIES ${LDAP_LIBS} ${LBER_LIBS})
   endif(LBER_LIBS)
endif(LDAP_INCLUDEDIR AND LDAP_LIBS)

if(LDAP_FOUND)
    # One of these days, properly parse out what may be an alternate -L
    # linker directive. Until then, hacky hacky.
    message(STATUS "${LDAP_LIBS}")
    set(LDAP_LINKFLAGS "-lldap")
    if(${LDAP_INCLUDEDIR} STREQUAL "/usr/include")
	set(LDAP_CFLAGS "")
    else(${LDAP_INCLUDEDIR} STREQUAL "/usr/include")
	set(LDAP_CFLAGS "-I${LDAP_INCLUDEDIR}")
    endif(${LDAP_INCLUDEDIR} STREQUAL "/usr/include")
else(LDAP_FOUND)
    message(FATAL_ERROR "You need to have the LDAP Development packages installed to build Pathfinder.")
endif(LDAP_FOUND)

# wvdiriter in wvstreams will assert if we don't have these set... since this is how wvstreams 
# is normally compiled. can't we do something simpler? Also, take advantage
# of this silliness to add in an Apple specific compiler flag. We should
# find out the RIGHT way to do this, but for now, this works.
if(APPLE)
SET(EXTRA_CFLAGS "${WVDBUS_CFLAGS} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -g -DAPPLE -I/sw/include")
else(APPLE)
SET(EXTRA_CFLAGS "${WVDBUS_CFLAGS} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -g")
endif(APPLE)

SET(EXTRA_LINKFLAGS "${WVDBUS_LINKFLAGS} ${LDAP_LINKFLAGS}")

INCLUDE_DIRECTORIES(${PATHFINDER_SOURCE_DIR} 
                    ${PATHFINDER_SOURCE_DIR}/x509path 
		    ${PATHFINDER_SOURCE_DIR}/libpathfinder)

ADD_LIBRARY(pathology STATIC pathfinder.cc revocationfinder.cc pathvalidator.cc downloader.cc pathserver.cc util.cc)
SET_TARGET_PROPERTIES(pathology
		      PROPERTIES COMPILE_FLAGS "${EXTRA_CFLAGS}")

ADD_EXECUTABLE(pathverify pathverify.cc)
TARGET_LINK_LIBRARIES(pathverify pathology x509path)
SET_TARGET_PROPERTIES(pathverify 
		      PROPERTIES COMPILE_FLAGS "${EXTRA_CFLAGS}" LINK_FLAGS "${EXTRA_LINKFLAGS}")

ADD_EXECUTABLE(pathfinderd pathfinderd.cc)
TARGET_LINK_LIBRARIES(pathfinderd pathology x509path)
SET_TARGET_PROPERTIES(pathfinderd
		      PROPERTIES COMPILE_FLAGS "${EXTRA_CFLAGS}" LINK_FLAGS "${EXTRA_LINKFLAGS}")

ADD_EXECUTABLE(pathclient pathclient.cc util.cc)
TARGET_LINK_LIBRARIES(pathclient)
SET_TARGET_PROPERTIES(pathclient
		      PROPERTIES COMPILE_FLAGS "${EXTRA_CFLAGS}" LINK_FLAGS "${EXTRA_LINKFLAGS}")

INSTALL(TARGETS pathverify pathclient
	RUNTIME DESTINATION bin)

INSTALL(TARGETS pathfinderd
	RUNTIME DESTINATION sbin)

INSTALL(FILES README AUTHORS LICENSE pathfinderd.ini.sample DESTINATION share/doc/pathfinder)

ADD_EXECUTABLE(openssltest openssltest.cc)
TARGET_LINK_LIBRARIES(openssltest pathfinder-openssl-1)
SET_TARGET_PROPERTIES(openssltest 
		      PROPERTIES COMPILE_FLAGS "${DBUS_CFLAGS} ${EXTRA_CFLAGS}" LINK_FLAGS "${OPENSSL_LINKFLAGS} ${DBUS_LINKFLAGS}")

IF(NSS_CFLAGS)
ADD_EXECUTABLE(nsstest nsstest.cc)
TARGET_LINK_LIBRARIES(nsstest pathfinder-nss-1)
SET_TARGET_PROPERTIES(nsstest
		      PROPERTIES COMPILE_FLAGS "${DBUS_CFLAGS} ${NSS_CFLAGS}" LINK_FLAGS "${DBUS_LINKFLAGS} ${NSS_LINKFLAGS}")
ENDIF(NSS_CFLAGS)

SUBDIRS(t x509path libpathfinder)

IF(NOT DEFINED CMAKE_INSTALL_LIBDIR)
   SET(CMAKE_INSTALL_LIBDIR "/usr/lib")
ENDIF(NOT DEFINED CMAKE_INSTALL_LIBDIR)

CONFIGURE_FILE(version.h.in version.h)
CONFIGURE_FILE(pathfinder-nss-uninstalled.pc.in pathfinder-nss-uninstalled.pc
	       @ONLY)
CONFIGURE_FILE(pathfinder-openssl-uninstalled.pc.in 
	       pathfinder-openssl-uninstalled.pc
	       @ONLY)
CONFIGURE_FILE(pathfinder-nss.pc.in pathfinder-nss.pc
	       @ONLY)
CONFIGURE_FILE(pathfinder-openssl.pc.in pathfinder-openssl.pc
	       @ONLY)

INSTALL(FILES pathfinder-nss.pc pathfinder-openssl.pc
	      DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

INSTALL (FILES pathclient.3 pathverify.3
	      DESTINATION share/man/man3)

INSTALL (FILES pathfinderd.8
	      DESTINATION share/man/man8)

INSTALL (FILES pathfinderd-dbus.conf
	      DESTINATION /etc/dbus-1/system.d
	      RENAME pathfinderd.conf)

SET(CPACK_PACKAGE_NAME "pathfinder")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "pathfinder")
SET(CPACK_PACKAGE_VERSION_MAJOR "1")
SET(CPACK_PACKAGE_VERSION_MINOR "1")
SET(CPACK_PACKAGE_VERSION_PATCH "3")
SET(CPACK_SOURCE_IGNORE_FILES "/.git/;.gitignore;.*~;/.svn/;CMakeFiles/;CMakeCache.txt;/Testing/;DartTestfile.txt;.pc$;.cmake;/_CPack_Packages/;version.h$;.tar.gz;.tar.Z;.*#.*";/pathviewer-0.1.0-Source/;Makefile)
INCLUDE(CPack)

=== libpathfinder/CMakeLists.txt ===
IF (NSS_CFLAGS)
ADD_LIBRARY(pathfinder-nss-1 SHARED libpathfinder.cc libpathfinder-nss.cc)
ADD_LIBRARY(pathfinder-nss-1-static STATIC libpathfinder.cc libpathfinder-nss.cc)
ENDIF (NSS_CFLAGS)

ADD_LIBRARY(pathfinder-openssl-1 SHARED libpathfinder.cc libpathfinder-openssl.cc)
ADD_LIBRARY(pathfinder-openssl-1-static STATIC libpathfinder.cc libpathfinder-openssl.cc)

IF (NSS_CFLAGS)
SET(LIBPATHFINDER_NSS_CFLAGS "${DBUS_CFLAGS} ${NSS_CFLAGS}")

SET_TARGET_PROPERTIES(pathfinder-nss-1 PROPERTIES COMPILE_FLAGS "${LIBPATHFINDER_NSS_CFLAGS}")
SET_TARGET_PROPERTIES(pathfinder-nss-1 PROPERTIES VERSION 1.0.0 SOVERSION 1 )
SET_TARGET_PROPERTIES(pathfinder-nss-1 PROPERTIES CLEAN_DIRECT_OUTPUT 1)

SET_TARGET_PROPERTIES(pathfinder-nss-1-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
SET_TARGET_PROPERTIES(pathfinder-nss-1-static PROPERTIES OUTPUT_NAME "pathfinder-nss-1")
SET_TARGET_PROPERTIES(pathfinder-nss-1-static PROPERTIES COMPILE_FLAGS "${DBUS_CFLAGS} ${NSS_CFLAGS} -fPIC")
ENDIF(NSS_CFLAGS)

SET(LIBPATHFINDER_OPENSSL_CFLAGS "${DBUS_CFLAGS} ${OPENSSL_CFLAGS}")

SET_TARGET_PROPERTIES(pathfinder-openssl-1 PROPERTIES COMPILE_FLAGS "${LIBPATHFINDER_OPENSSL_CFLAGS}")
SET_TARGET_PROPERTIES(pathfinder-openssl-1 PROPERTIES VERSION 1.0.0 SOVERSION 1 )
SET_TARGET_PROPERTIES(pathfinder-openssl-1 PROPERTIES CLEAN_DIRECT_OUTPUT 1)
SET_TARGET_PROPERTIES(pathfinder-openssl-1 PROPERTIES LINK_FLAGS "${DBUS_LINKFLAGS} ${OPENSSL_LINKFLAGS} -fPIC")

SET_TARGET_PROPERTIES(pathfinder-openssl-1-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
SET_TARGET_PROPERTIES(pathfinder-openssl-1-static PROPERTIES OUTPUT_NAME "pathfinder-openssl-1")
SET_TARGET_PROPERTIES(pathfinder-openssl-1-static PROPERTIES COMPILE_FLAGS "${DBUS_CFLAGS} ${OPENSSL_CFLAGS} -fPIC")
IF (APPLE)
	SET_TARGET_PROPERTIES(pathfinder-openssl-1-static PROPERTIES LINK_FLAGS "${DBUS_LINKFLAGS} ${OPENSSL_LINKFLAGS} -fPIC")
ENDIF (APPLE)

IF(NOT DEFINED CMAKE_INSTALL_LIBDIR)
   SET(CMAKE_INSTALL_LIBDIR "lib")
ENDIF(NOT DEFINED CMAKE_INSTALL_LIBDIR)

IF (NSS_CFLAGS)
INSTALL(TARGETS pathfinder-nss-1 pathfinder-nss-1-static 
	LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}" 
	ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}")
ENDIF(NSS_CFLAGS)

INSTALL(TARGETS pathfinder-openssl-1 pathfinder-openssl-1-static 
        LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}" 
	ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}")

INSTALL(FILES libpathfinder-nss.h libpathfinder-openssl.h libpathfinder.h
	      DESTINATION include/pathfinder-1)

=== t/CMakeLists.txt ===
PKGCONFIG(libwvtest WVTEST_INCLUDEDIR WVTEST_LIBDIR WVTEST_LINKFLAGS WVTEST_CFLAGS)

ADD_EXECUTABLE(all.t pathserver.t.cc sigverif.t.cc certrevoke.t.cc 
  testmethods.t.cc namechaining.t.cc validityperiods.t.cc certpolicies.t.cc
  requireexplicitpolicy.t.cc policymapping.t.cc inhibitpolicymapping.t.cc 
  basicconstraints.t.cc crldistpoint.t.cc wvcrlcache.t.cc pathvalidator.t.cc
  revocationfinder.t.cc pathfinder.t.cc wvx509path.t.cc util.t.cc)
TARGET_LINK_LIBRARIES(all.t pathology x509path)

SET_TARGET_PROPERTIES(all.t 
  PROPERTIES COMPILE_FLAGS "${WVDBUS_CFLAGS} ${WVTEST_CFLAGS} ${EXTRA_CFLAGS}"
  LINK_FLAGS "${WVDBUS_LINKFLAGS} ${WVTEST_LINKFLAGS} ${OPENSSL_LINKFLAGS} ${LDAP_LINKFLAGS}")

ADD_CUSTOM_TARGET(test COMMAND t/testrun.sh DEPENDS all.t WORKING_DIRECTORY .)

=== x509path/CMakeLists.txt ===
ADD_LIBRARY(x509path STATIC wvcrlcache.cc wvx509path.cc wvx509store.cc 
  wvx509policytree.cc)
SET_TARGET_PROPERTIES(x509path
		      PROPERTIES COMPILE_FLAGS "${EXTRA_CFLAGS} ${OPENSSL_CFLAGS}"
				 LINK_FLAGS "${OPENSSL_LINKFLAGS}")

=== debian/changelog ===
pathfinder (1.1.3-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Ilya Barygin to fix linking with recent binutils
    versions (closes: #615761).

 -- Jordi Mallach <jordi@debian.org>  Mon, 10 Oct 2011 22:51:04 +0200

pathfinder (1.1.3-0.3) unstable; urgency=low

  * NMU to fix RC bug
  * debian/pathfinderd.preinst
    - Fix violation of policy 10.7.3, prompt when upgrading from 0.2.4-4.
      Thanks for report & advice, Holger! (Closes: #582019)
  * debian/{libpathfinder-dev,libpathfinder-openssl-nss,libpathfinder-nss}.install
    - also fix Broken Symlinks

 -- Hideki Yamane <henrich@debian.org>  Fri, 21 May 2010 00:23:56 +0900

pathfinder (1.1.3-0.2) unstable; urgency=low

  * NMU
  * debian/pathfinderd.{postrm,postinst}
    - fix lintian error: remove update-rc.d stuff, it is handled by 
      dh_installinit
  * add debian/pathfinderd.conf, install it via pathfinderd.install and
    specify permission in debian/rules
  * add lintian override, since pathfinderd.conf installed with 0640

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Fri, 09 Apr 2010 11:38:14 +0900

pathfinder (1.1.3-0.1) unstable; urgency=low

  * NMU with maintainer's ACK.
  * New upstream release
    - fix "FTBFS: iwvdbuslistener.h:13:24: error: wvcallback.h: No such file or
      directory" to use the new WvDBus in WvStreams (Closes: #542975)
    - Include stdint.h for GCC 4.4 compatibility.  (Closes: #505053)
    - Remove the send-interface lines from the DBUS configuration. 
      (Closes: #510696)
  * switch to dpkg-source format3.0 (quilt)
  * debian/rules
    - cleanup, use debhelper7 (Thanks to Enrico Zini)
  * debian/control: 
    - set "Build-Depends: debhelpher (>= 7.0.50~)"
    - Standards-Version: 3.8.4
    - add Homepage: field
    - libpathfinder-dev: add Depends: ${misc:Depends}
    - Build-Depends: "libldap2-dev", deal with cmake complains about 
      "LDAP Development packages"
    - set "Build-Depends: libwvstreams-dev (>= 4.6.1)", to use package enabled
      with --with-dbus option
    - pathfinderd: add "Depends: dbus" to avoid "insserv: Service dbus has to 
      be enabled to start service pathfinderd"
  * debian/copyright
    - add my name and specify GPL version 2
  * debian/watch: add it. 
  * debian/pathfinderd.{default,dirs,init,postrm}
    - merge from SVN r200:r203, remove unnecessary "--test" argument and more.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 03 Apr 2010 23:35:01 +0900

pathfinder (0.2.4-4) unstable; urgency=low

  * Fix the diff, so that it doesn't include all of the CMake garbage.

 -- Patrick Patterson <ppatters@debian.org>  Thu, 20 Mar 2008 02:10:55 +0000

pathfinder (0.2.4-3) unstable; urgency=low

  * Fix the init script to not have a syntax error.
  * Fix postinst script to correctly run.
  * Fix the init script to actually fork the daemon into the background.

 -- Patrick Patterson <ppatters@debian.org>  Wed, 19 Mar 2008 21:19:50 +0000

pathfinder (0.2.4-2) unstable; urgency=low

  * Include LSB init scripts dependancy information (Closes: #471593)
  * Fix the init script to actually start the daemon from the correct 
    location

 -- Patrick Patterson <ppatters@debian.org>  Wed, 19 Mar 2008 20:13:32 +0000

pathfinder (0.2.4-1) unstable; urgency=low

  * New Upstream version.
  * Fix clean target (Closes: #471184)
  * Fix a buglet in the policy mapping where an uninitialized variable
    would sometimes give incorrect result.

 -- Patrick Patterson <ppatters@debian.org>  Tue, 18 Mar 2008 15:55:33 +0000

pathfinder (0.2.3-1) unstable; urgency=low

  * Fix missing init script links for pathfinderd
  * Actually install the dbus system permissions and configuration file for
    pathfinderd
  * Install defaults file for pathfinderd.
  * Initial release (Closes: #457605)

 -- Patrick Patterson <ppatters@debian.org>  Tue, 11 Mar 2008 20:40:54 +0000

=== debian/control ===
Source: pathfinder
Section: utils
Priority: optional
Maintainer: Patrick Patterson <ppatters@debian.org>
Build-Depends: cmake, debhelper (>= 7.0.50~), libdbus-1-dev, libnss3-dev, 
 libwvstreams-dev (>=4.6.1), pkg-config, libboost-dev, libssl-dev, libldap2-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/pathfinder-pki/

Package: pathfinderd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus
Description: Daemon for X.509 Path Discovery and Validation
 Pathfinder is designed to provide a mechanism for any program to perform
 RFC3280-compliant path validation of X.509 certificates, even when some of
 the intermediate certificates are not present on the local machine. It will
 automatically download any such certificates (and their CRLs) from the
 Internet as needed using the AIA and CRL distribution point extensions of the
 certificate it is processing.
 .
 This package has the UniConf enabled DBus Daemon for Pathfinder which has
 been designed for central management and configuration of PKI Trust anchors
 and configuration information.

Package: pathfinder-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities to use with the Pathfinder Daemon
 Pathfinder is designed to provide a mechanism for any program to perform
 RFC3280-compliant path validation of X.509 certificates, even when some of
 the intermediate certificates are not present on the local machine. It will
 automatically download any such certificates (and their CRLs) from the
 Internet as needed using the AIA and CRL distribution point extensions of the
 certificate it is processing.
 .
 This package contains command line utilities to verify your configuration
 and to allow scripts to talk to the Pathfinder Daemon.

Package: libpathfinder-openssl-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Pathfinder integration Library for OpenSSL
 Pathfinder is designed to provide a mechanism for any program to perform
 RFC3280-compliant path validation of X.509 certificates, even when some of
 the intermediate certificates are not present on the local machine. It will
 automatically download any such certificates (and their CRLs) from the
 Internet as needed using the AIA and CRL distribution point extensions of the
 certificate it is processing.
 .
 This package contains the shared library to allow OpenSSL based programs to
 use Pathfinder for their Certificate validation.

Package: libpathfinder-nss-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Pathfinder integration Library for LibNSS
 Pathfinder is designed to provide a mechanism for any program to perform
 RFC3280-compliant path validation of X.509 certificates, even when some of
 the intermediate certificates are not present on the local machine. It will
 automatically download any such certificates (and their CRLs) from the
 Internet as needed using the AIA and CRL distribution point extensions of the
 certificate it is processing.
 .
 This package contains the shared library to allow LibNSS based programs to
 use Pathfinder for their Certificate validation.

Package: libpathfinder-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
Provides: libpathfinder-1-dev
Description: Development files for pathfinder
 Pathfinder is designed to provide a mechanism for any program to perform
 RFC3280-compliant path validation of X.509 certificates, even when some of
 the intermediate certificates are not present on the local machine. It will
 automatically download any such certificates (and their CRLs) from the
 Internet as needed using the AIA and CRL distribution point extensions of the
 certificate it is processing.
 .
 This package contains the development files to allow programmers to write
 applications using either OpenSSL or LibNSS that use Pathfinder for their
 Certificate validation.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	-rm -r $(CURDIR)/debian/cmakedir $(CURDIR)/version.h $(CURDIR)/*.pc
	dh_auto_clean
 
override_dh_auto_configure:
	mkdir $(CURDIR)/debian/cmakedir && \
	(cd $(CURDIR)/debian/cmakedir && cmake $(CURDIR) -DCMAKE_INSTALL_PREFIX:FILEPATH=/usr)
	for links in version.h `cd $(CURDIR)/debian/cmakedir/ && ls *.pc`; \
	do \
	  ln -s $(CURDIR)/debian/cmakedir/$$links $(CURDIR)/$$links ; \
	done

override_dh_auto_install:
	(cd $(CURDIR)/debian/cmakedir && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install)

override_dh_fixperms:
	dh_fixperms
	chmod 640 debian/pathfinderd/etc/pathfinderd.conf

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://code.google.com/p/pathfinder-pki/downloads/list \
 http://pathfinder-pki.googlecode.com/files/pathfinder-(.*)-Source.tar.gz
